/**
 * EasyBeans
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: EasyBeansCXFBootstrap.java 3079 2008-05-01 17:18:39Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.easybeans.cxf;

import org.ow2.easybeans.server.ServerConfig;
import org.ow2.easybeans.server.war.EmbeddedBootstrap;
import org.ow2.util.log.Log;
import org.ow2.util.log.LogFactory;

/**
 * Defines the boostrap to use for EasyBeans.
 * This allows to register our extensions
 * @author Florent Benoit
 */
public class EasyBeansCXFBootstrap extends EmbeddedBootstrap {

    /**
     * Logger.
     */
    private static Log logger = LogFactory.getLog(EasyBeansCXFListener.class);


    /**
     * @return returns the Easybeans ServerConfig object.
     */
    @Override
    protected ServerConfig getServerConfig() {
        ServerConfig config = super.getServerConfig();
        // configure the Callbacks ...
        config.addExtensionFactory(new CXFConfigurationExtension());
        logger.debug("Adding the CXF Factory ''{0}''", CXFConfigurationExtension.class);
        return config;
    }

}
